#
# spec file for package kquickimageeditor
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define kf5_version 5.91.0
%define qt5_version 5.15.0

%bcond_without  lang
Name:           kquickimageeditor
Version:        0.3.0
Release:        1.3
Summary:        A set of QtQuick components for image editing
License:        LGPL-2.1-or-later
URL:            https://www.kde.org
Source0:        https://download.kde.org/stable/kquickimageeditor/%{name}-%{version}.tar.xz
%if %{with lang}
Source1:        https://download.kde.org/stable/kquickimageeditor/%{name}-%{version}.tar.xz.sig
Source2:        %{name}.keyring
%endif
BuildRequires:  extra-cmake-modules >= %{kf5_version}
BuildRequires:  cmake(Qt5Core) >= %{qt5_version}
BuildRequires:  cmake(Qt5Quick) >= %{qt5_version}

%description
KQuickImageEditor is a set of QtQuick components providing basic image editing
capabilities.

%package imports
Summary:        A set of QtQuick components for image editing

%description imports
KQuickImageEditor is a set of QtQuick components providing basic image editing
capabilities.

%package devel
Summary:        Development files for KQuickImageEditor
Requires:       kquickimageeditor-imports = %{version}
Requires:       cmake(Qt5Core)

%description devel
Development files for KQuickImageEditor, a set of QtQuick components providing
basic image editing capabilities.

%prep
%autosetup -p1

%build
%cmake_kf5 -d build

%cmake_build

%install
%kf5_makeinstall -C build

%files imports
%license LICENSES/*
%doc README*
%dir %{_kf5_qmldir}/org/
%dir %{_kf5_qmldir}/org/kde/
%{_kf5_qmldir}/org/kde/kquickimageeditor/

%files devel
%{_kf5_cmakedir}/KQuickImageEditor/
%{_kf5_mkspecsdir}/qt_KQuickImageEditor.pri

%changelog
* Thu Feb 29 2024 Christophe Marin <christophe@krop.fr>
- Update to 0.3.0
  * Don't preprocess QML files
  * Show header in qtc6
  * We need to use Qt5Compat.GraphicalEffects in qt6
  * Add CMakePresets.json
  * Ignore build dir
  * Remove smooth property
  * Don't include GNUInstallDirs
  * Fix Qt version in CMake Config
  * Enable building against Qt6
  * Port to ecm_add_qml_module
  * Update example
- Add kquickimageeditor6, required by neochat
* Wed Oct  6 2021 Fabian Vogt <fabian@ritter-vogt.de>
- Simplify %%files section
* Wed Oct  6 2021 Christophe Giboudeaux <christophe@krop.fr>
- Update to 0.2.0
  * ImageDocument: Add resize function
  * Add SelectionTool, SelectionHandle, SelectionBackground,
    CropBackground, RectangleCutout
  * ResizeRectangle: Limit inside rect size and position to fit
    own size
  * Fix horizontalPadding not working
* Sat May  8 2021 Ferdinand Thiessen <rpm@fthiessen.de>
- Update to version 0.1.3
  * Minor build system related changes
  * Require at least QT version 5.15
* Sat Jan 16 2021 Luca Beltrame <lbeltrame@kde.org>
- Initial package
